---
sidebar_position: 6
description: Disable request handler and other functions to work with Melezh in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Disable request handler
 Disables the handler by key



`Function DisableRequestsHandler(Val Project, Val HandlersKey) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Project | --proj | String | &#x2714; | Project filepath |
  | HandlersKey | --handler | String | &#x2714; | Handlers key |

  
  Returns:  Structure Of KeyAndValue - Switching result

<br/>



 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            melezh  DisableRequestsHandler \
              --proj "/proj.melezh" \
              --handler "44af20352"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            melezh  DisableRequestsHandler ^
              --proj "/proj.melezh" ^
              --handler "44af20352"
        ```
    </TabItem>
</Tabs>

```json title="Result"
{
 "result": true
}
```
